#!/bin/sh

# This script will shutdown, restart, or sleep the system after a 
# one-minute delay. This delay allows CCC to close out the task 
# history and perform any other postflight cleanup tasks.

## Action: shutdown, restart, or sleep
action="sleep"


#### No edits required below this line ####
exitStatus=$3

if [ "$exitStatus" = "0" ]; then
	echo "The system will $action in one minute"
	
	if [ "$action" = "shutdown" ]; then
		# Shutdown in one minute
		shutdown -h +1

	elif [ "$action" = "restart" ]; then
		# Reboot in one minute
		shutdown -r +1
	
	elif [ "$action" = "sleep" ]; then
		# Sleep in one minute
		(sleep 60; pmset sleepnow) &

	fi
else
	echo "The backup task exited with a non-zero exit status, not performing power management task"
fi

exit 0
